# frozen_string_literal: true

#
# This function checks if WebLogic is installed. Function orawls_oracle_exists is deprecated and replaced by wls_install::weblogic_exists, it will be removed in a future release.
#
#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Functions.create_function(:'wls_install::orawls_oracle_exists') do
  dispatch :orawls_oracle_exists do
    param 'String', :name
    return_type 'Boolean'
  end

  def orawls_oracle_exists(name)
    Puppet.warning 'Function orawls_oracle_exists is deprecated and replaced by wls_install::weblogic_exists, it will be removed in a future release.'
    call_function('wls_install::weblogic_exists', name)
  end
end
